
function Swimming()
    KEY()
    ANP("Sue1","transform_fish")ANP("Sue1","float")
    ANP("Toroko1","transform_fish")ANP("Toroko1","float")
    ANP("Chako1","transform_fish")ANP("Chako1","float")
    ANP("Jack1","transform_fish")ANP("Jack1","float")
    ANP("Santa1","transform_fish")ANP("Santa1","float")
    MOV(22,17,1)SLR(1,1)AMC("float",1,1)
    MOV(20,18,0)SLR(1,0)AMC("float",1,0)
    ANP("Arowana1","float")
    WAI(16)
    CMU("XXXX")
    FAI(0)
    WAI(32)
    MS3("Everyone stay close behind me,")NOD()
    CAT("\nDon't fall behind.")NOD()CLO()
    WAI(32)
    ANP("Arowana1","float",1)
    WAI(32)
    ANP("Arowana1","set_target")ANP("Arowana1","Pos1")ANP("Arowana1","swim_target")
    WAI(60)
    AMC("set_target",1,0)AMC("Arowana1",1,0)AMC("swim_target",1,0)
    AMC("set_target",1,1)AMC("Arowana1",1,1)AMC("swim_target",1,1)
    WAI(8)
    ANP("Sue1","set_target")ANP("Sue1","Arowana1")ANP("Sue1","swim_target")
    WAI(8)
    ANP("Jack1","set_target")ANP("Jack1","Arowana1")ANP("Jack1","swim_target")
    ANP("Santa1","set_target")ANP("Santa1","Arowana1")ANP("Santa1","swim_target")
    WAI(8)
    ANP("Toroko1","set_target")ANP("Toroko1","Arowana1")ANP("Toroko1","swim_target")
    ANP("Chako1","set_target")ANP("Chako1","Arowana1")ANP("Chako1","swim_target")
    WAI(80)
    FAO(1)
    TRA("CS_fortress_underground3","Swimming",0,0)
end